ELIXIRC(1)

NAME
elixirc - The Elixir compiler

SYNOPSIS
elixirc [OPTIONS] file ...

DESCRIPTION
The compiler is intended for compilation one or more files containing the Elixir source code. The files should have the extension .ex.

OPTIONS

-o directory
    Places the output file in the specified directory. If the directory is not specified via the option, the current working directory will be used for the purpose.

--erl parameters
    Serves the same purpose as ELIXIR_ERL_OPTIONS (see the ENVIRONMENT section).

--ignore-module-conflict
    Disables warnings when a module was previously defined.

--no-debug-info
    Disables producing debugging information.

--no-docs
    Disables generating documentation.

--warnings-as-errors
    Makes all warnings into errors.

--verbose
    Activates verbose mode.

--  Separates the options passed to the compiler from the options passed to the executed code.

ENVIRONMENT

ELIXIR_ERL_OPTIONS
    Allows passing parameters to the Erlang runtime.

ERL_COMPILER_OPTIONS
    Allows passing parameters to the Erlang compiler (see erlc(1)).

SEE ALSO
elixir(1), iex(1), mix(1)

AUTHOR

Elixir is maintained by The Elixir Team.

This manual page was contributed by Evgeny Golyshev.

Copyright (c) 2012 Plataformatec.

Copyright (c) 2021 The Elixir Team.

INTERNET RESOURCES

Main website: https://elixir-lang.org

Documentation: https://elixir-lang.org/docs.html